#include <iostream>
#include <cctype>

using namespace std;

int main()
{
	int t, n, m, k; // n - broj ucenika; m - broj krem bananica; k - zahtev krem bananica po grupama
	
	cin >> t;
	
	string resenja[t];
	
	for(int i = 0; i < t; i++) {
		cin >> n >> m >> k;
		if(n >= m && k < n){
			resenja[i] = "Nie";
		}
		else
			resenja[i] = "Tak";
	}
	
	for(int i = 0; i < t; i++)
		cout << resenja[i] << endl;
}